Redmine - Feature #4403

Copy with related task
2009-12-1513:13 - Alain V.

Status: Closed Start date: 2009-12-15
Priority: Normal Due date: 2013-04-17
Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution:

Description

In our way of working in our company, when we get a ticket on our software from the customer that we consider as bug, we copy it to
the validation project for debugging.

The option copy of a task is nice for that, but would it be possible to create also automatically the related task.

So for us for a bug in our validation project we would know this one comes from a customer and not from our validation process.
Thank you

Related issues:

Related to Redmine - Patch #7447: Patch for improved move/copy New 2011-01-25
Related to Redmine - Patch #7586: Create "related to" relationship during iss... Closed 2011-02-09
Related to Redmine - Feature #6899: Add a relation between the original and c... Closed 2010-11-15
Related to Redmine - Feature #1701: New Relation for Copying Branch Issues to... Closed 2008-07-28
Has duplicate Redmine - Defect #8863: Task copy bug Closed 2011-07-20
History

#1 - 2009-12-20 10:46 - Jean-Philippe Lang

Do you mean automatically adding a relation between the original issue and the copied issue, so that the copied issue is related to the original issue?
#2 - 2009-12-20 12:14 - Alain V.
Jean-Philippe Lang wrote:
Do you mean automatically adding a relation between the original issue and the copied issue, so that the copied issue is related to the original
issue?
Exactly Jean-Philippe!
but not necessary automatically. Maybe be optionnal in the copy window or configurable.
#3 - 2009-12-20 23:05 - Mischa The Evil
Alain V. wrote:
Jean-Philippe Lang wrote:
Do you mean automatically adding a relation between the original issue and the copied issue, so that the copied issue is related to the
original issue?
Exactly Jean-Philippe!
but not necessary automatically. Maybe be optionnal in the copy window or configurable.

+1 on such a feature. But | personally think that it's best to make it indeed optional through e.g. a checkbox on the issue copy-view. Maybe a new
issue-relation type would be best too? One like "Copied" or "Branched"? Any thoughts?

#4 - 2009-12-21 02:57 - James Bernard

- File implement_custom_copies.patch added

| wrote a patch that addresses that request
This patch implements what | call "custom copies" which are standard copies but with all settings automatically set, so that only one click is needed.
"Related to" relation is also automatically set between the copied issue and its copy.

A custom copy defines a source issue by its project/tracker/status and the target issue by its project/tracker/status. In addition, it is possible to define
a new status for the source issue once the copy is done.

Custom copies also have a label. When an issue is shown, only custom copies whose source issue criteria is matching the shown issue are displayed
in the issue toolbar, beside usual Update/Move/Copy/Delete links.

Example: a custom copy labelled "confirm as bug" defining automatic copy from Hotline/Hotline/New to Validation/Bugs/New, with automatic change
of Hotline/Hotline/New to Hotline/Hotline/Confirmed as bug after the copy.

Note: The patch does not include a form for creating custom copies. As of now, I'm creating them through SQL command...

Moreover I'm really a newbie in Ruby/Rails/Redmine world so the code is probably quite poor/wrong in some areas, I'm just providing the patch as an
example of design...

#5 - 2009-12-24 20:52 - Bill Tihen

This patch seems VERY useful. We have over 200 users who submit tickets -- it would be GREAT if we had a "ME TOQO" feature! That then created
a related task (but not the regular relationship) -- we already use the regular relationship for related, but different tasks.

Also if a different relationship (a copied from or a "me too" relationship is available -- then that could be optionally extended so that we could manage
one request and have all tasks reflect the changes made to the master task.

#6 - 2009-12-25 07:56 - Alain V.
Bill Tihen wrote:

This patch seems VERY useful. We have over 200 users who submit tickets -- it would be GREAT if we had a "ME TOO" feature! That then
created a related task (but not the regular relationship) -- we already use the regular relationship for related, but different tasks.

Also if a different relationship (a copied from or a "me too" relationship is available -- then that could be optionally extended so that we could
manage one request and have all tasks reflect the changes made to the master task.

A ME TOO is not like a vote?
Like me too i would like this feature?

#7 - 2010-01-26 18:34 - Alain V.

JP, it is not possible to put this in the version 1.0? | think this would help a lot of people. :0)

#8 - 2010-05-05 14:44 - Karl-Heinz Nirschl
- File 0100-adstec-copy_and_relate.patch added

Hi,
i did an other patch, which just extends the copy and move dialog so that one could add a relation in one step. this is done for 0.9.3.

let me know if i should improve the code so it could be pushed to 1.0.

#9 - 2010-06-07 13:28 - Paul Preece
- File copy_to_another_project_and_relate.patch added

Here's another patch with test against trunk.

We would certainly find this useful in a release.
#10 - 2010-06-07 14:07 - Pedro Gutierrez
+1

| hadn't found this feature request and had, so, opened a similar one #5497

#11 - 2011-02-11 21:11 - Brian Lindahl
see patch #7447

#12 - 2011-10-20 14:26 - Etienne Massip

- Target version set to Candidate for next major release

#13 - 2011-10-20 22:26 - Mischa The Evil
https://www.redmine.org/issues/5497
https://www.redmine.org/issues/7447

- File ro4403-copy_improvements.patch added
- File ro4403-copy_improvements.jpg added

I've extracted the relationship addition on copy > new from Brian Lindahl's patch in #7447, rebased it to source:/trunk@7630 and added two new
relationtypes (copied to / copied from) to support the issue-copy relationship completely.

ro4403-copy_improvements.jpg
Any feedback is appreciated...

#14 - 2012-06-06 13:43 - Radek Karban

+1

#15 - 2013-03-19 13:46 - Michael Jurisch

Thanks a lot for that feature, but unfortunately defining the relation just work for tickets, that are copied within the same project, but | would need
setting the relationship between a ticket in project A and its copied counterpart in project B.

Thanks in advance!
#16 - 2013-03-20 05:37 - Mischa The Evil
Michael Jurisch wrote:

[...] but unfortunately defining the relation just work for tickets, that are copied within the same project, but | would need setting the relationship
between a ticket in project A and its copied counterpart in project B.

Shouldn't this be already possible by setting "Allow cross-project issue relations" to true combined with the implementation in r10491 for #6899 (2.2.0
)?

Edit: in fact, it looks like this whole issue has been superseded by #6899. Could someone test this feature in recent Redmine version?

#17 - 2013-03-20 05:39 - Mischa The Evil
- Due date set to 2013-04-17

- Status changed from New to Needs feedback

#18 - 2013-03-20 09:33 - Michael Jurisch

Hey, Mischa, thanks a lot for that hint! | completely missed that option. :-( | am sorry!
This works perfect in Redmine 2.2.3.stable! Thanks!

#19 - 2013-05-07 09:47 - Daniel Felix

- Status changed from Needs feedback to Closed

This one could be closed as there is user Feedback in note 18.

Thanks for your feedback.

#20 - 2013-05-13 02:20 - Toshi MARUYAMA

- Target version deleted (Candidate for next major release)

Files

implement_custom_copies.patch 6.08 KB 2009-12-21 James Bernard
0100-adstec-copy_and_relate.patch 2.09 KB 2010-05-05 Karl-Heinz Nirschl
copy_to_another_project_and_relate.patch 1.75 KB 2010-06-07 Paul Preece
ro4403-copy_improvements.patch 5.18 KB 2011-10-20 Mischa The Evil
ro4403-copy_improvements.jpg 31.6 KB 2011-10-20 Mischa The Evil
